VST 3 Interfaces: IInfo Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
IInfo Class Referenceabstract

Extended host callback interface for an edit controller: Vst::NoteOnOrchestralArticulation::IInfo. More...

`#include <ivstnoteonorchestralarticulationinfo.h>`

Inheritance diagram for IInfo:

## Public Types
enum | Classification : uint32 { kCoreSoundSustainAndStrikes = 0 , kStaccatosAndShorts = 1 , kSameNoteTrillsRepeats = 2 , kIntervallicTrills = 3 , kAdditionalColors = 4 , kPitchAndDynamicGestures = 5 , kScalesRunsAndArpeggios = 6 , kEffectsAndNoises = 7 , kReserved1 = 8 , kReserved2 = 9 , kCustomNoteOn1 = 10 , kCustomNoteOn2 = 11 , kCustomNoteOn3 = 12 , kCustomNoteOn4 = 13 , kCustomNoteOn5 = 14 , kCustomNoteOn6 = 15 , kReserved3 = 16 }
| Used as index for the array classification of structure ClassificationVariations. More...

## Public Member Functions
virtual tresult | getVariationsInfo (int32 busIndex, int16 channel, ClassificationVariations &info)=0
| Returns variation information for orchestral classification types supported by the plug-in.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended host callback interface for an edit controller: Vst::NoteOnOrchestralArticulation::IInfo.

- [plug imp]
- [extends IEditController]
- [released: 3.8.1]
- [optional]

This interface allows the host to get some information about the plug-in's noteOn Orchestral Articulation capabilities from the UI Thread

## Member Enumeration Documentation

## ◆ Classification

enum Classification : uint32

Used as index for the array classification of structure ClassificationVariations.

Enumerator
kCoreSoundSustainAndStrikes |
kStaccatosAndShorts |
kSameNoteTrillsRepeats |
kIntervallicTrills |
kAdditionalColors |
kPitchAndDynamicGestures |
kScalesRunsAndArpeggios |
kEffectsAndNoises |
kReserved1 |
kReserved2 |
kCustomNoteOn1 |
kCustomNoteOn2 |
kCustomNoteOn3 |
kCustomNoteOn4 |
kCustomNoteOn5 |
kCustomNoteOn6 |
kReserved3 |

## Member Function Documentation

## ◆ getVariationsInfo()

virtual tresult getVariationsInfo | ( | int32 | busIndex,
|  | int16 | channel,
|  | ClassificationVariations & | info )
| pure virtual

Returns variation information for orchestral classification types supported by the plug-in.

The 2D Array is organized by classifications (see Classification) and subclass (according to the index used in MIDI2 Orchestral Profile). If info.classification[i].variation[j] is 0, subclass j has no variation (subclass not available). If all entries in info.classification[i] are zero, classification i is not available.

Parameters

  [in] | busIndex | - index of Input Event Bus
  [in] | channel | - channel of the bus
  | info | 2D array receiving supported variation information.

Returns
  kResultTrue on success

Note
  [UI-thread & Connected]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.